import { ATN, CharStream, DFA, Lexer } from "antlr4";
export default class CypherCmdLexer extends Lexer {
    static readonly PARAM = 1;
    static readonly CLEAR = 2;
    static readonly HISTORY = 3;
    static readonly CONNECT = 4;
    static readonly DISCONNECT = 5;
    static readonly WELCOME = 6;
    static readonly SYSINFO = 7;
    static readonly EXPLAIN = 8;
    static readonly PROFILE = 9;
    static readonly CYPHER = 10;
    static readonly SPACE = 11;
    static readonly SINGLE_LINE_COMMENT = 12;
    static readonly MULTI_LINE_COMMENT = 13;
    static readonly DECIMAL_DOUBLE = 14;
    static readonly UNSIGNED_DECIMAL_INTEGER = 15;
    static readonly UNSIGNED_HEX_INTEGER = 16;
    static readonly UNSIGNED_OCTAL_INTEGER = 17;
    static readonly STRING_LITERAL1 = 18;
    static readonly STRING_LITERAL2 = 19;
    static readonly ESCAPED_SYMBOLIC_NAME = 20;
    static readonly ACCESS = 21;
    static readonly ACTIVE = 22;
    static readonly ADMIN = 23;
    static readonly ADMINISTRATOR = 24;
    static readonly ALIAS = 25;
    static readonly ALIASES = 26;
    static readonly ALL_SHORTEST_PATHS = 27;
    static readonly ALL = 28;
    static readonly ALTER = 29;
    static readonly AND = 30;
    static readonly ANY = 31;
    static readonly ARRAY = 32;
    static readonly AS = 33;
    static readonly ASC = 34;
    static readonly ASCENDING = 35;
    static readonly ASSERT = 36;
    static readonly ASSIGN = 37;
    static readonly AT = 38;
    static readonly AUTH = 39;
    static readonly BAR = 40;
    static readonly BINDINGS = 41;
    static readonly BOOL = 42;
    static readonly BOOLEAN = 43;
    static readonly BOOSTED = 44;
    static readonly BOTH = 45;
    static readonly BREAK = 46;
    static readonly BRIEF = 47;
    static readonly BTREE = 48;
    static readonly BUILT = 49;
    static readonly BY = 50;
    static readonly CALL = 51;
    static readonly CASCADE = 52;
    static readonly CASE = 53;
    static readonly CHANGE = 54;
    static readonly CIDR = 55;
    static readonly COLLECT = 56;
    static readonly COLON = 57;
    static readonly COLONCOLON = 58;
    static readonly COMMA = 59;
    static readonly COMMAND = 60;
    static readonly COMMANDS = 61;
    static readonly COMMIT = 62;
    static readonly COMPOSITE = 63;
    static readonly CONCURRENT = 64;
    static readonly CONSTRAINT = 65;
    static readonly CONSTRAINTS = 66;
    static readonly CONTAINS = 67;
    static readonly COPY = 68;
    static readonly CONTINUE = 69;
    static readonly COUNT = 70;
    static readonly CREATE = 71;
    static readonly CSV = 72;
    static readonly CURRENT = 73;
    static readonly DATA = 74;
    static readonly DATABASE = 75;
    static readonly DATABASES = 76;
    static readonly DATE = 77;
    static readonly DATETIME = 78;
    static readonly DBMS = 79;
    static readonly DEALLOCATE = 80;
    static readonly DEFAULT = 81;
    static readonly DEFINED = 82;
    static readonly DELETE = 83;
    static readonly DENY = 84;
    static readonly DESC = 85;
    static readonly DESCENDING = 86;
    static readonly DESTROY = 87;
    static readonly DETACH = 88;
    static readonly DIFFERENT = 89;
    static readonly DOLLAR = 90;
    static readonly DISTINCT = 91;
    static readonly DIVIDE = 92;
    static readonly DOT = 93;
    static readonly DOTDOT = 94;
    static readonly DOUBLEBAR = 95;
    static readonly DRIVER = 96;
    static readonly DROP = 97;
    static readonly DRYRUN = 98;
    static readonly DUMP = 99;
    static readonly DURATION = 100;
    static readonly EACH = 101;
    static readonly EDGE = 102;
    static readonly ENABLE = 103;
    static readonly ELEMENT = 104;
    static readonly ELEMENTS = 105;
    static readonly ELSE = 106;
    static readonly ENCRYPTED = 107;
    static readonly END = 108;
    static readonly ENDS = 109;
    static readonly EQ = 110;
    static readonly EXECUTABLE = 111;
    static readonly EXECUTE = 112;
    static readonly EXIST = 113;
    static readonly EXISTENCE = 114;
    static readonly EXISTS = 115;
    static readonly ERROR = 116;
    static readonly FAIL = 117;
    static readonly FALSE = 118;
    static readonly FIELDTERMINATOR = 119;
    static readonly FINISH = 120;
    static readonly FLOAT = 121;
    static readonly FOR = 122;
    static readonly FOREACH = 123;
    static readonly FROM = 124;
    static readonly FULLTEXT = 125;
    static readonly FUNCTION = 126;
    static readonly FUNCTIONS = 127;
    static readonly GE = 128;
    static readonly GRANT = 129;
    static readonly GRAPH = 130;
    static readonly GRAPHS = 131;
    static readonly GROUP = 132;
    static readonly GROUPS = 133;
    static readonly GT = 134;
    static readonly HEADERS = 135;
    static readonly HOME = 136;
    static readonly ID = 137;
    static readonly IF = 138;
    static readonly IMPERSONATE = 139;
    static readonly IMMUTABLE = 140;
    static readonly IN = 141;
    static readonly INDEX = 142;
    static readonly INDEXES = 143;
    static readonly INF = 144;
    static readonly INFINITY = 145;
    static readonly INSERT = 146;
    static readonly INT = 147;
    static readonly INTEGER = 148;
    static readonly IS = 149;
    static readonly JOIN = 150;
    static readonly KEY = 151;
    static readonly LABEL = 152;
    static readonly LABELS = 153;
    static readonly AMPERSAND = 154;
    static readonly EXCLAMATION_MARK = 155;
    static readonly LBRACKET = 156;
    static readonly LCURLY = 157;
    static readonly LE = 158;
    static readonly LEADING = 159;
    static readonly LIMITROWS = 160;
    static readonly LIST = 161;
    static readonly LOAD = 162;
    static readonly LOCAL = 163;
    static readonly LOOKUP = 164;
    static readonly LPAREN = 165;
    static readonly LT = 166;
    static readonly MANAGEMENT = 167;
    static readonly MAP = 168;
    static readonly MATCH = 169;
    static readonly MERGE = 170;
    static readonly MINUS = 171;
    static readonly PERCENT = 172;
    static readonly INVALID_NEQ = 173;
    static readonly NEQ = 174;
    static readonly NAME = 175;
    static readonly NAMES = 176;
    static readonly NAN = 177;
    static readonly NFC = 178;
    static readonly NFD = 179;
    static readonly NFKC = 180;
    static readonly NFKD = 181;
    static readonly NEW = 182;
    static readonly NODE = 183;
    static readonly NODETACH = 184;
    static readonly NODES = 185;
    static readonly NONE = 186;
    static readonly NORMALIZE = 187;
    static readonly NORMALIZED = 188;
    static readonly NOT = 189;
    static readonly NOTHING = 190;
    static readonly NOWAIT = 191;
    static readonly NULL = 192;
    static readonly OF = 193;
    static readonly OFFSET = 194;
    static readonly ON = 195;
    static readonly ONLY = 196;
    static readonly OPTIONAL = 197;
    static readonly OPTIONS = 198;
    static readonly OPTION = 199;
    static readonly OR = 200;
    static readonly ORDER = 201;
    static readonly OUTPUT = 202;
    static readonly PASSWORD = 203;
    static readonly PASSWORDS = 204;
    static readonly PATH = 205;
    static readonly PATHS = 206;
    static readonly PERIODIC = 207;
    static readonly PLAINTEXT = 208;
    static readonly PLUS = 209;
    static readonly PLUSEQUAL = 210;
    static readonly POINT = 211;
    static readonly POPULATED = 212;
    static readonly POW = 213;
    static readonly PRIMARY = 214;
    static readonly PRIMARIES = 215;
    static readonly PRIVILEGE = 216;
    static readonly PRIVILEGES = 217;
    static readonly PROCEDURE = 218;
    static readonly PROCEDURES = 219;
    static readonly PROPERTIES = 220;
    static readonly PROPERTY = 221;
    static readonly PROVIDER = 222;
    static readonly PROVIDERS = 223;
    static readonly QUESTION = 224;
    static readonly RANGE = 225;
    static readonly RBRACKET = 226;
    static readonly RCURLY = 227;
    static readonly READ = 228;
    static readonly REALLOCATE = 229;
    static readonly REDUCE = 230;
    static readonly RENAME = 231;
    static readonly REGEQ = 232;
    static readonly REL = 233;
    static readonly RELATIONSHIP = 234;
    static readonly RELATIONSHIPS = 235;
    static readonly REMOVE = 236;
    static readonly REPEATABLE = 237;
    static readonly REPLACE = 238;
    static readonly REPORT = 239;
    static readonly REQUIRE = 240;
    static readonly REQUIRED = 241;
    static readonly RESTRICT = 242;
    static readonly RETURN = 243;
    static readonly REVOKE = 244;
    static readonly ROLE = 245;
    static readonly ROLES = 246;
    static readonly ROW = 247;
    static readonly ROWS = 248;
    static readonly RPAREN = 249;
    static readonly SCAN = 250;
    static readonly SEC = 251;
    static readonly SECOND = 252;
    static readonly SECONDARY = 253;
    static readonly SECONDARIES = 254;
    static readonly SECONDS = 255;
    static readonly SEEK = 256;
    static readonly SEMICOLON = 257;
    static readonly SERVER = 258;
    static readonly SERVERS = 259;
    static readonly SET = 260;
    static readonly SETTING = 261;
    static readonly SETTINGS = 262;
    static readonly SHORTEST_PATH = 263;
    static readonly SHORTEST = 264;
    static readonly SHOW = 265;
    static readonly SIGNED = 266;
    static readonly SINGLE = 267;
    static readonly SKIPROWS = 268;
    static readonly START = 269;
    static readonly STARTS = 270;
    static readonly STATUS = 271;
    static readonly STOP = 272;
    static readonly STRING = 273;
    static readonly SUPPORTED = 274;
    static readonly SUSPENDED = 275;
    static readonly TARGET = 276;
    static readonly TERMINATE = 277;
    static readonly TEXT = 278;
    static readonly THEN = 279;
    static readonly TIME = 280;
    static readonly TIMES = 281;
    static readonly TIMESTAMP = 282;
    static readonly TIMEZONE = 283;
    static readonly TO = 284;
    static readonly TOPOLOGY = 285;
    static readonly TRAILING = 286;
    static readonly TRANSACTION = 287;
    static readonly TRANSACTIONS = 288;
    static readonly TRAVERSE = 289;
    static readonly TRIM = 290;
    static readonly TRUE = 291;
    static readonly TYPE = 292;
    static readonly TYPED = 293;
    static readonly TYPES = 294;
    static readonly UNION = 295;
    static readonly UNIQUE = 296;
    static readonly UNIQUENESS = 297;
    static readonly UNWIND = 298;
    static readonly URL = 299;
    static readonly USE = 300;
    static readonly USER = 301;
    static readonly USERS = 302;
    static readonly USING = 303;
    static readonly VALUE = 304;
    static readonly VARCHAR = 305;
    static readonly VECTOR = 306;
    static readonly VERBOSE = 307;
    static readonly VERTEX = 308;
    static readonly WAIT = 309;
    static readonly WHEN = 310;
    static readonly WHERE = 311;
    static readonly WITH = 312;
    static readonly WITHOUT = 313;
    static readonly WRITE = 314;
    static readonly XOR = 315;
    static readonly YIELD = 316;
    static readonly ZONE = 317;
    static readonly ZONED = 318;
    static readonly IDENTIFIER = 319;
    static readonly ARROW_LINE = 320;
    static readonly ARROW_LEFT_HEAD = 321;
    static readonly ARROW_RIGHT_HEAD = 322;
    static readonly ErrorChar = 323;
    static readonly EOF: number;
    static readonly channelNames: string[];
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly modeNames: string[];
    static readonly ruleNames: string[];
    constructor(input: CharStream);
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    get channelNames(): string[];
    get modeNames(): string[];
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): ATN;
    static DecisionsToDFA: DFA[];
}
