import { DbSchema } from '../dbSchema';
import { SyntaxDiagnostic } from './syntaxValidation';
export interface SemanticAnalysisResult {
    errors: SyntaxDiagnostic[];
    notifications: SyntaxDiagnostic[];
}
export interface SemanticAnalysisElement {
    message: string;
    startPosition: {
        offset: number;
        line: number;
        column: number;
    };
    endPosition: {
        offset: number;
        line: number;
        column: number;
    };
}
export declare function wrappedSemanticAnalysis(query: string, dbSchema: DbSchema): SemanticAnalysisResult;
