import { CommonToken, ErrorListener as ANTLRErrorListener, Recognizer, Token } from 'antlr4';
import { SyntaxDiagnostic } from './syntaxValidation';
export declare class SyntaxErrorsListener implements ANTLRErrorListener<CommonToken> {
    errors: SyntaxDiagnostic[];
    unfinishedToken: boolean;
    tokens: Token[];
    constructor(tokens: Token[]);
    syntaxError<T extends Token>(recognizer: Recognizer<T>, offendingSymbol: T, line: number, charPositionInLine: number): void;
    reportAttemptingFullContext(): void;
    reportAmbiguity(): void;
    reportContextSensitivity(): void;
}
