import { CompletionItem as VSCodeCompletionItem } from 'vscode-languageserver-types';
export type ReturnDescription = {
    name: string;
    description: string;
    type: Neo4jStringType;
    isDeprecated: boolean;
};
export type CypherVersion = 'cypher 25' | 'cypher 5';
export type Neo4jStringType = string;
export type ArgumentDescription = ReturnDescription & {
    default?: string;
};
type ProcedureMode = 'READ' | 'DBMS' | 'SCHEMA' | 'WRITE' | 'DEFAULT';
export type Neo4jProcedure = {
    name: string;
    description: string;
    mode: ProcedureMode;
    worksOnSystem: boolean;
    argumentDescription: ArgumentDescription[];
    returnDescription: ReturnDescription[];
    signature: string;
    admin: boolean;
    option: {
        deprecated: boolean;
    } & Record<string, unknown>;
    deprecatedBy?: string;
};
export type Neo4jFunction = {
    name: string;
    category: string;
    description: string;
    isBuiltIn: boolean;
    argumentDescription: ArgumentDescription[];
    returnDescription: string;
    signature: string;
    aggregating: boolean;
    isDeprecated: boolean;
    deprecatedBy?: string;
};
export type CompletionItem = VSCodeCompletionItem & {
    signature?: string;
};
export {};
